aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.7/contrib/reghunt/bin/gcc-svn-report
diff options
context:
space:
mode:
authorBen Cheng <bccheng@google.com>2012-10-01 10:30:31 -0700
committerBen Cheng <bccheng@google.com>2012-10-01 10:30:31 -0700
commit82bcbebce43f0227f506d75a5b764b6847041bae (patch)
treefe9f8597b48a430c4daeb5123e3e8eb28e6f9da9 /gcc-4.7/contrib/reghunt/bin/gcc-svn-report
parent3c052de3bb16ac53b6b6ed659ec7557eb84c7590 (diff)
downloadtoolchain_gcc-82bcbebce43f0227f506d75a5b764b6847041bae.tar.gz
toolchain_gcc-82bcbebce43f0227f506d75a5b764b6847041bae.tar.bz2
toolchain_gcc-82bcbebce43f0227f506d75a5b764b6847041bae.zip
Initial check-in of gcc 4.7.2.
Change-Id: I4a2f5a921c21741a0e18bda986d77e5f1bef0365
Diffstat (limited to 'gcc-4.7/contrib/reghunt/bin/gcc-svn-report')
-rwxr-xr-xgcc-4.7/contrib/reghunt/bin/gcc-svn-report26
1 files changed, 26 insertions, 0 deletions
diff --git a/gcc-4.7/contrib/reghunt/bin/gcc-svn-report b/gcc-4.7/contrib/reghunt/bin/gcc-svn-report
new file mode 100755
index 000000000..a0de534b3
--- /dev/null
+++ b/gcc-4.7/contrib/reghunt/bin/gcc-svn-report
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+# Report a more informative version of the patch identifier.
+
+ID=$1
+
+test "x${REG_IDS}" != "x" || exit 1
+test "x${REG_CHANGESET_LIST}" != "x" || exit 1
+
+BRANCH=`${REG_IDS} -f index -t branch ${ID}`
+cd ${REG_SRCDIR}/gcc
+unset LANG
+unset LC_ALL
+REV=`${REG_IDS} -f index -t rev ${ID}`
+
+# long set of information
+TZ=UTC \
+svn log --revision $REV
+
+# URL of diffs
+echo
+echo ' http://gcc.gnu.org/viewcvs?view=rev&rev='$REV
+
+# short set of information, without final line of hyphens
+TZ=UTC \
+svn log --quiet --revision $REV | sed -e '/---/d' -e 's/^/ /'